<?php

if (!defined('_PS_VERSION_')) {
    exit;
}

class kiwizcronModuleFrontController extends ModuleFrontController
{
    public $ajax = true;
    public $display_header = false;
    public $display_footer = false;
    public $display_column_left = false;
    public $display_column_right = false;

    /**
     * Process request, check submitted secure key
     *
     * @see parent::init
     * @return void
     */
    public function init()
    {
        parent::init();

        // Clean buffer
        if (ob_get_level() && ob_get_length() > 0) {
            ob_clean();
        }
        // Send specific HTTP headers
        header('X-Robots-Tag: noindex, nofollow', true);
        header('Content-type: application/json');

        // Check for secure key into the URL
        $secureKey = Configuration::getGlobalValue('KIWIZ_SECURE_KEY');
        if (empty($secureKey) || $secureKey !== Tools::getValue('kiwiz_sk')) {
            Tools::redirect('404');
            die;
        }

        // Search for order & order slip to send to Kiwiz
        // Output the JSON answer
        die(Tools::jsonEncode($this->module->processSync(array(), true)));
    }
}
