<?php

namespace Kiwiz\Exceptions;

use \Mail;
use \Module;
use \Configuration;
use \PrestaShopLogger;
if (!defined('_PS_VERSION_')) { exit; }
class Exception extends \Exception
{
    /**
     * Exception constructor function
     *
     * @param string $message
     * @param int $code
     * @param \Exception $previous
     * @return void
     */
    public function __construct($message = null, $code = 0, \Exception $previous = null)
    {
        // Call parent class
        parent::__construct($message, $code, $previous);

        // Check if logs have to be saved
        if ((bool)Configuration::get('KIWIZ_SAVE_LOGS')) {
            // Set default severity to 2 (warning)
            $severity = 2;
            // Check if logs have to be sent by email
            if ((bool)Configuration::get('KIWIZ_SEND_LOGS')) {
                $kiwizModule = Module::getInstanceByName('kiwiz');
                $kiwizModule->sendAlert($this);
            }
            // Send log to PrestaShop logger
            PrestaShopLogger::addLog($this->getMessage(), $severity, $this->getCode(), 'Kiwiz API', ' ', true);
        }
    }
}
